<script>
	import { goto } from "$app/navigation";
	import { postkanalas, supabase } from "$lib/supabaseClient";
	import { onMount } from "svelte";

    
    let irasas;
    onMount(async ()=>{
        let {_,error} = await supabase.auth.getUser()
        if (error){
            goto('/login')
        }
    })
let submit =async ()=>{
    await supabase.from('siena').insert({ irasas: irasas});
    postkanalas.send({
  type: 'broadcast',
  event: 'test',
  payload: { irasas: irasas },
})
    goto('/')
}
</script>

<div class="mx-4">
<h2 class=" text-lg font-semibold mb-3">Prašom</h2>
<textarea class="rounded-md block p-3 mb-2 w-full border-2 border-blue-600" bind:value={irasas}/>

<button class="block rounded-md bg-blue-800 hover:bg-blue-900 text-white p-3 w-full" on:click={submit}>Submit</button>
</div>
